Subject: Re: bug#14149: Bug occuring when emacs is not called 'emacs'

From: Jan Djärv <[email-masked]>
Date: Sun, 7 Apr 2013 12:44:19 +0200

Hello.

I checked a bit more, this is definitly a bug in Ubuntus appmenu-package.
If you don't want to see the message, set UBUNTU_MENUPROXY to an emty value before starting emacs i.e.:

% en UBUNTU_MENUPROXY spl_emacs

But then the menubar will be on each Emacs frame, not up in the panel.  Which doesn't seem to work very well, keyboard shortcuts are not visible, and the order of the menus are reversed (i.e File to the far right, and Help to the far left).

I will write something in /etc/PROBLEMS about this.  Closing the bug.

	Jan D.

5 apr 2013 kl. 22:31 skrev Jan Djärv <[email-masked]>:

> Hello.
> 
> Please try to keep the debbugs address, so messages goes to the bugtracker.
> 
> 	Jan D.
> 
> 5 apr 2013 kl. 22:29 skrev Jan Djärv <[email-masked]>:
> 
>> Hello.
>> 
>> 5 apr 2013 kl. 21:18 skrev JJ Lemire <[email-masked]>:
>> 
>>> Sorry, I should have mentioned the platform: Ubuntu 32bit, 12.10, from source.
>>> But it does the same thing with the Ubuntu implementation: I am not allowed a different name. I don't get it.
>>> 
>> 
>> I suggest you report this to Ubuntu.  They obviously tried to implement dbusmenu in a transparent way and failed.
>> 
>> 	Jan D.
>> 
>>> /Jacques.Lemire
>>> 
>>> 
>>> 
>>> 2013/4/5 Jan Djärv <[email-masked]>
>>> Hello.
>>> 
>>> 5 apr 2013 kl. 20:44 skrev JJ Lemire <[email-masked]>:
>>> 
>>> > Bug occuring when emacs is not called 'emacs'
>>> >
>>> > When compiling you can call emacs with a prefix like --program-prefix=spl_
>>> > but this generates
>>> >
>>> > ./spl_emacs
>>> >
>>> > (spl_emacs:31521): LIBDBUSMENU-GTK-CRITICAL **: watch_submenu: assertion `GTK_IS_MENU_SHELL(menu)' failed
>>> >
>>> > The same binary program called 'emacs' does not generate this error.
>>> >
>>> > Jacques Lemire
>>> >
>>> > Note: calling the real 'emacs' with a link, like my_emacs will also generate errors.
>>> 
>>> What sources did you compile, and on what platform?  Emacs does not have a   Dbusmenu implementation, so this is not Emacs fault.  Either you are using modified sources or your platform has a modified Gtk+.
>>> 
>>>     Jan D.
>>> 
>> 
>